function GetCompState
{
    $jsonquery='{"ReqType": "ServerStatus","Timeout": 60}'
    $gatekeepercfg = Get-Content -Raw -Path C:\ProgramData\FFUMS\fmsrv\cfg\gatekeeper.cfg | ConvertFrom-Json
    $RESPONSE = Write-Output '{"ReqType": "ServerStatus","Timeout": 60}' | & "C:\Program Files\FFUMS\fmsrv\bin\FoamSendReceiveTest.exe" -m 2 -p $gatekeepercfg.GATEKEEPER.CfgPort | ConvertFrom-Json
    $CompStateArray = $RESPONSE.Response.ComponentList
    return $CompStateArray
}


Write-Output "<<<officemaster_suite:sep(124)>>>"
$Components = GetCompState
if($Components.Count -gt 3)
    {
        foreach($Component in $Components){
            #Check for Subcomponents
            If(!$Component.NfyComp.Count)
            {
                Write-Output "COMPONENT|0|$($Component.Name)|$($Component.NfyComp.CompStat)|$($Component.Run)|$($Component.NfyComp.StatText)"
            }
            else {
                Write-Output "COMPONENT|0|$($Component.Name)|$($Component.NfyComp[0].CompStat)|$($Component.Run)|$($Component.NfyComp.StatText)"
            }
        }
    }
 else
    {
        Write-Output "No ComponentState received"
        Write-Output $Components
    }